## Apache Zeta Components Manual :: Docs For Class ezcMvcRoute

### MvcTools::ezcMvcRoute

### Interface ezcMvcRoute

The interface that should be implemented by the different route types.

Each route is responsible for checking whether it matches data in the $request. It also need to support to prefix itself with a route-type dependent prefix string.

Source for this file: /MvcTools/src/interfaces/route.php

Version: | //autogentag//

### Method Summary

public null|ezcMvcRoutingInformation | `matches( $request )` Returns routing information if the route matched, or null in case the route did not match.
public void | `prefix( $prefix )` Adds a prefix to the route.

### Methods

#### matches

null|ezcMvcRoutingInformation matches( ezcMvcRequest $request )

Returns routing information if the route matched, or null in case the route did not match.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$request` | ezcMvcRequest |

#### prefix

void prefix( mixed $prefix )

Adds a prefix to the route.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$prefix` | mixed | Prefix to add, for example: '/blog'

Documentation generated by phpDocumentor 1.4.3